<?php
namespace Woopromotion\Admin\Inc;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */

if( !class_exists( 'Admin_Templates_Map' ) ) {

	class Admin_Templates_Map {
		
		function __construct() {}

		public function admin_page_init() {
			$this->admin_page_maping();
		}

		public function admin_page_maping() {

			echo '<div class="woopromotion-wrapper"><form id="woopromotion_settings_from" action="options.php" method="post">';

	            // check if the user have submitted the settings
                if ( isset( $_GET['settings-updated'] ) ) {
                // add settings saved message with the class of "updated"
                add_settings_error( 'woopromotion_messages', 'woopromotion_message', esc_html__( 'Settings Saved', 'woopromotion' ), 'updated' );
                }
                //
                settings_fields( 'woopromotion_settings_option_group' ); 
                //
                do_settings_sections( 'woopromotion_settings_option_group' ); 

                // show error/update messages
                settings_errors( 'woopromotion_messages' );
				
				echo '<div class="settings-wrapper">';

				$this->tab();
				echo '<div class="content-wrapper">';
				$this->content();
				// Save Buton
				echo '<div class="container">';
					submit_button( 'Save Settings' );
				echo '</div>';

				echo '</div></div>';

			echo '</form></div>';

		}

		public function tab() {
			?>
			<div class="tab-btn">
			    <div class="container">
			        <ul class="list-unstyled">
			        	<li data-tab-select="badge_settings" class="active"><i class="fa fa-truck"></i> <?php esc_html_e( 'Badge', 'woopromotion' ); ?></li>
			        	<li data-tab-select="flash_sale"><i class="fa fa-truck"></i> <?php esc_html_e( 'Flash Sale', 'woopromotion' ); ?></li>
			        	<li data-tab-select="stock_progress_bar"><i class="fa fa-truck"></i> <?php esc_html_e( 'Sales/Stock Progress Bar', 'woopromotion' ); ?></li>
			        	<li data-tab-select="canvas_promo_bar"><i class="fa fa-truck"></i> <?php esc_html_e( 'Canvas Promo Bar', 'woopromotion' ); ?></li>
			        	<li data-tab-select="ticker"><i class="fa fa-truck"></i> <?php esc_html_e( 'Ticker', 'woopromotion' ); ?></li>
			        	<li data-tab-select="cart_meta"><i class="fa fa-cart"></i> <?php esc_html_e( 'Cart Meta', 'woopromotion' ); ?></li>
			        	<!-- <li data-tab-select="shortcode"><i class="fa fa-truck"></i> <?php //esc_html_e( 'Shortcode', 'woopromotion' ); ?></li> -->
			        </ul>
			    </div>
			</div>
			<?php
		}

		public function content() {
			echo '<div class="tab-content">';
				new \Woopromotion\Admin\TabContent\Badge_Settings();
				new \Woopromotion\Admin\TabContent\Flash_Sale();
				new \Woopromotion\Admin\TabContent\Stock_Progress_Bar();
				new \Woopromotion\Admin\TabContent\Canvas_Promo_Bar();
				new \Woopromotion\Admin\TabContent\Ticker();
				new \Woopromotion\Admin\TabContent\Cart_Meta();
				//new \Woopromotion\Admin\TabContent\Shortcode();
	        echo '</div>';
			
		}

	}

}
