<?php
namespace Woopromotion\Classes;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
 
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOPROMOTION_ALERT_MSG );
  }

class Badges {

  private $badgeIds = null;

  function __construct() {
    $this->setBadges();

  }

  public function setBadges() {
    if( is_null( $this->badgeIds ) ) {

      $args = [
        'numberposts' => '-1',
        'post_type' => 'woopromotion_badges'
      ];

      $badges = get_posts( $args );
      $ids = [];
      if( !empty( $badges ) ) {
        foreach( $badges as $badge ) {
          $ids[] = $badge->ID;
        }
      }
      //
      $this->badgeIds = $ids;
    }

  }

  public function getBadgeIds() {
    return $this->badgeIds;
  }


}