<?php
namespace Woopromotion\Admin\Field;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */
 
abstract class Settings_Fields_Base {

  public static  $optionName;

  public static $getOptionData;

  use \Woopromotion\Admin\Field\Checkbox;
  use \Woopromotion\Admin\Field\Colorpicker;
  use \Woopromotion\Admin\Field\MediaUpload;
  use \Woopromotion\Admin\Field\Timepicker;
  use \Woopromotion\Admin\Field\Textarea;
  use \Woopromotion\Admin\Field\Text;
  use \Woopromotion\Admin\Field\Selectbox;
  use \Woopromotion\Admin\Field\Number;
  use \Woopromotion\Admin\Field\MultipleSelect;
  use \Woopromotion\Admin\Field\Textrepeater;
  use \Woopromotion\Admin\Field\Date_Picker;


  public function __construct() {

    self::$optionName = $this->get_option_name();
    self::$getOptionData = get_option(self::$optionName);

    $this->tab_setting_fields();

  }

  public function get_option_name() {}
  public function tab_setting_fields() {}

  public function start_fields_section( $args ) {

    $default = [
      'title'     => esc_html__( 'Title goes here', 'woopromotion' ),
      'class'     => '',
      'icon'      => '',
      'id'        => '',
      'display'   => 'none',
    ];

    $args = wp_parse_args( $args, $default );

    ?>
    <div id="<?php echo esc_attr( $args['id'] ); ?>" data-admintab="<?php echo esc_attr( $args['id'] ); ?>" class="<?php echo esc_attr( $args['class'] ); ?>" style="display: <?php echo esc_attr( $args['display'] ); ?>;">
      <div class="container">
        <div class="dashboard-content-wrap">
    <?php
  }

  public function end_fields_section() {
    echo '</div></div></div>';
  }

}