<?php
namespace Woopromotion\Classes;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
 
if( ! defined( 'ABSPATH' ) ) {
    die( WOOPROMOTION_ALERT_MSG );
}

class Product_Flash_Sale_Details extends Product_Data {

  public static $dateOnSaleFrom;
  public static $dateOnSaleTo;

  function __construct() {
    
    // Call Product_Data constructor
    parent::__construct();

    $product = $this->getProduct;

    self::$dateOnSaleFrom = $product->get_date_on_sale_from();
    self::$dateOnSaleTo = $product->get_date_on_sale_to();

  }

  public function flashSaleDetails() {

    $soldProgressBar = '';
    if( !empty( \Woopromotion\Inc\Helper::getOption('product_flash_details_stock_bar') ) ) {
      $obj = new \Woopromotion\Classes\Stock_Progress_Bar();
      $soldProgressBar = $obj->soldProgressBar();
    }
    
    // Check is set date_on_sale_from
    $timer = '';
    if( !empty( self::$dateOnSaleFrom ) ) {
      $timer = \Woopromotion\Classes\Countdown_Timer::countdownTimer( self::$dateOnSaleFrom, self::$dateOnSaleTo, 'product-flash-countdown', 'short' );
    }
    echo '<div class="flash-sale-details"><div class="flash-sale-details-inner">'.$timer.$soldProgressBar.'</div></div>';
    
  }
  
  
}